Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPlainTextDocumentLayout

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QObject
                      com.trolltech.qt.gui.QAbstractTextDocumentLayout
                          com.trolltech.qt.gui.QPlainTextDocumentLayout

All Implemented Interfaces:
  QtJambiInterface

    public class QPlainTextDocumentLayout

extends QAbstractTextDocumentLayout

The `QPlainTextDocumentLayout` class implements a plain text layout for `QTextDocument` A `QPlainTextDocumentLayout` is required for text documents that can be display or edited in a `QPlainTextEdit`. See `QTextDocument::setDocumentLayout()`.

`QPlainTextDocumentLayout` uses the `QAbstractTextDocumentLayout` API that `QTextDocument` requires, but redefines it partially in order to support plain text better. For instances, it does not operate on vertical pixels, but on paragraphs (called blocks) instead. The height of a document is identical to the number of paragraphs it contains. The layout also doesn't support tables or nested frames, or any sort of advanced text layout that goes beyond a list of paragraphs with syntax highlighting.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.gui.QAbstractTextDocumentLayout
`documentSizeChanged, pageCountChanged, update, updateBlock`

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QPlainTextDocumentLayout(QTextDocument document)` Constructs a plain text document layout for the text `document`.

Method Summary
`int` | `cursorWidth()` This property specifies the width of the cursor in pixels.
`void` | `ensureBlockLayout(QTextBlock block)` Ensures that `block` has a valid layout
`void` | `requestUpdate()` Requests a complete update on all views.
`void` | `setCursorWidth(int width)` This property specifies the width of the cursor in pixels.

Methods inherited from class com.trolltech.qt.gui.QAbstractTextDocumentLayout
`anchorAt, blockBoundingRect, document, documentChanged, documentSize, draw, drawInlineObject, format, frameBoundingRect, handlerForObject, hitTest, pageCount, paintDevice, positionInlineObject, registerHandler, resizeInlineObject, setPaintDevice`

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QPlainTextDocumentLayout

    public QPlainTextDocumentLayout(QTextDocument document)

  Constructs a plain text document layout for the text `document`.

Method Detail

### cursorWidth

    public final int cursorWidth()

  This property specifies the width of the cursor in pixels. The default value is 1.

### ensureBlockLayout

    public final void ensureBlockLayout(QTextBlock block)

  Ensures that `block` has a valid layout

### requestUpdate

    public final void requestUpdate()

  Requests a complete update on all views.

### setCursorWidth

    public final void setCursorWidth(int width)

  This property specifies the width of the cursor in pixels. The default value is 1.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD